=== debian/changelog ===
ros-humble-proxsuite (0.3.6-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Justin Carpentier <justin.carpentier@inria.fr>  Fri, 05 May 2023 07:52:07 -0000
